# Tourplaner: tourplaner.ui.ProgressBar Class Reference

tourplaner.ui.ProgressBar Class Reference

## Public Member Functions

| ProgressBar (String title)
void | addProgress (int add)
void | setProgress (int set)
void | closeProgress ()
int | getProgressSize (int todo, int maxLevel)

## Constructor & Destructor Documentation

## ProgressBar()

tourplaner.ui.ProgressBar.ProgressBar | ( | String | title | ) |

## Member Function Documentation

## addProgress()

void tourplaner.ui.ProgressBar.addProgress | ( | int | add | ) |

## closeProgress()

void tourplaner.ui.ProgressBar.closeProgress | ( |  | ) |

## getProgressSize()

int tourplaner.ui.ProgressBar.getProgressSize | ( | int | todo,
|  | int | maxLevel
| ) |  |

## setProgress()

void tourplaner.ui.ProgressBar.setProgress | ( | int | set | ) |

The documentation for this class was generated from the following file:

- src/tourplaner/ui/ProgressBar.java